<?php
if(isset($_POST['email'])) {
     
    // EDIT THE 2 LINES BELOW AS REQUIRED
    // la linea sotto sarò la email a cui rispondere in caso di problemi con il codice tessera
	$email_to = "myemail@lucedigitale.com";
    $email_subject = "Il tuo codice sconto da myweb.com";
     
     
    function died($error) {
        // your error code can go here
        echo "Ci sono degli errori nel Form che hai compilato!<br>";
        echo "Gli errori appaiono sotto:<br /><br />";
        echo $error."<br />";
        echo "Torna indietro e correggi questi errori.<br /><br />";
        die();
    }
     
    // validation expected data exists
    if(!isset($_POST['first_name']) ||
        !isset($_POST['last_name']) ||
        !isset($_POST['email']) ||
        !isset($_POST['telephone']) ||
        !isset($_POST['comments'])) {
        died('Ci sono degli errori nel Form che hai compilato');      
    }
     
    $first_name = $_POST['first_name']; // required
    $last_name = $_POST['last_name']; // required
    $email_from = $_POST['email']; // required
    $telephone = $_POST['telephone']; // not required
    $comments = $_POST['comments']; // required
     
    $error_message = "";
    $email_exp = '/^[A-Za-z0-9._%-]+@[A-Za-z0-9.-]+\.[A-Za-z]{2,4}$/';
  if(!preg_match($email_exp,$email_from)) {
    $error_message .= 'Indirizzo email non valido.<br />';
  }
    $string_exp = "/^[A-Za-z .'-]+$/";
  if(!preg_match($string_exp,$first_name)) {
    $error_message .= 'Username non valido<br />';
  }
  if(!preg_match($string_exp,$last_name)) {
    $error_message .= 'Password non valida<br />';
  }
  if(strlen($comments) < 2) {
    $error_message .= 'Campo Richieste non valido<br />';
  }
  if(strlen($error_message) > 0) {
    died($error_message);
  }
    $email_message = "Form details below.\n\n";
     
    function clean_string($string) {
      $bad = array("content-type","bcc:","to:","cc:","href");
      return str_replace($bad,"",$string);
    }
     
// **************************
//Generazione del codice sconto - inizio
// **************************
//Creo 5 variabili numeriche random di 2 cifre, il codice sconto finale avrà quindi 10 cifre
$a=rand(11,20);
$b=rand(21,30);
$c=rand(31,40);
$d=rand(41,50);
$e=rand(51,60);
// Creo il codice sconto concatenando le variabili random
$codice=$a.$b.$c.$d.$e;
// **************************
//Generazione del codice sconto - fine
// **************************
	 
    $email_message .= "Username: ".clean_string($first_name)."\n";
    $email_message .= "Password: ".clean_string($last_name)."\n";
    $email_message .= "Email: ".clean_string($email_to)."\n";
    $email_message .= "Cellulare: ".clean_string($telephone)."\n";
	// invio il codice sconto
	$email_message .= "Grazie per la tua registrazione, il tuo codice sconto: ".clean_string($codice)."\n";
    // la riga sotto non la utilizzo perchè altrimenti arriverebbe in email tutto il testo della privacy
	// $email_message .= "Privacy: ".clean_string($comments)."\n";
	// aggiungo comunque un testo di commento standard alla email
	$email_message .= "Messaggio importante: Stampa questa email e presentati presso i nostri negozi per ricevere la tessera sconto";
     
// create email headers
// invio l'email all'indirizzo specificato nel form html cioè la variabile $email_from proveniente dal proprietario del sito della variabile $email_to specificata all'inizio del codice
$headers = 'From: '.$email_to."\r\n".
'Reply-To: '.$email_to."\r\n" .
'X-Mailer: PHP/' . phpversion();
@mail($email_from, $email_subject, $email_message, $headers); 

// Visualizzo il codice sconto nella pagina in caso l'email non arrivi
// o il provider blocchi le email al superamento del limite giornaliero
echo "<center>Grazie per la registrazione! Stampa questa pagina ed esibiscila al punto vendita. Il tuo codice sconto: ".$codice."<center>";
?>
 
<!-- include your own success html here -->
 <center>Torna al sito <a href="http://www.lucedigitale.com" target="_self">www.lucedigitale.com</center>

 
<?php
}
?>